# List assets

Returns enriched assets visible to the user. Requires either type or folder_ids.

Endpoint: GET /dam/assets
Version: 20260701

## Query parameters:

  - `type` (string)

  - `status` (string)

  - `query` (string)

  - `folder_ids` (array)

  - `folder_statuses` (array)

  - `location_ids` (array)

  - `business_ids` (array)

  - `size` (integer, required)

  - `page` (integer, required)

## Response 200 fields (application/json):

  - `assets` (array, required)

  - `assets.id` (integer, required)

  - `assets.name` (string, required)

  - `assets.description` (string)

  - `assets.dateCreated` (string, required)

  - `assets.dateUpdated` (string, required)

  - `assets.type` (string, required)
    Enum: "SOCIAL_POST_TEMPLATE"

  - `assets.locationIds` (array)

  - `assets.businessIds` (array)

  - `assets.excludedLocationIds` (array)

  - `assets.locationGroupIds` (array)

  - `assets.startDate` (string, required)

  - `assets.endDate` (string)

  - `assets.status` (string, required)
    Enum: "HIDDEN", "VISIBLE"

  - `assets.folderId` (integer)

  - `assets.template` (object, required)

  - `assets.template.id` (integer, required)

  - `assets.template.isStoreLocator` (boolean)

  - `assets.template.postType` (string)

  - `assets.template.title` (string)

  - `assets.template.description` (string)

  - `assets.template.url` (string)

  - `assets.template.author` (object)

  - `assets.template.author.id` (integer, required)

  - `assets.template.author.firstname` (string, required)

  - `assets.template.author.lastname` (string, required)

  - `assets.template.directories` (array)

  - `assets.template.photos` (array)

  - `assets.template.photoList` (array)

  - `assets.template.photoList.photo` (string, required)

  - `assets.template.photoList.description` (string)

  - `assets.template.photoList.redirectUrl` (string)

  - `assets.template.callToActions` (array)

  - `assets.template.callToActions.type` (string)

  - `assets.template.callToActions.url` (string)

  - `assets.template.callToActions.directory` (string)

  - `assets.template.videos` (array)

  - `assets.template.tiktokInteractionSettings` (object)

  - `assets.template.tiktokInteractionSettings.allowComment` (boolean)

  - `assets.template.tiktokInteractionSettings.allowDuet` (boolean)

  - `assets.template.tiktokInteractionSettings.allowStitch` (boolean)

  - `assets.usageCount` (integer, required)

  - `size` (integer, required)

  - `page` (integer, required)

  - `totalSize` (integer, required)

